from enum import Enum
    
# 控制ID的枚举类型
class CONTROL_ID(Enum):
    CONTROL_BRIGHTNESS = 0  # 图像亮度
    CONTROL_CONTRAST = 1  # 图像对比度
    CONTROL_WBR = 2  # 白平衡红色
    CONTROL_WBB = 3  # 白平衡蓝色
    CONTROL_WBG = 4  # 白平衡绿色
    CONTROL_GAMMA = 5  # 屏幕伽马
    CONTROL_GAIN = 6  # 相机增益
    CONTROL_OFFSET = 7  # 相机偏移
    CONTROL_EXPOSURE = 8  # 曝光时间（微秒）
    CONTROL_SPEED = 9  # 传输速度
    CONTROL_TRANSFERBIT = 10  # 图像深度位
    CONTROL_CHANNELS = 11  # 图像通道
    CONTROL_USBTRAFFIC = 12  # USB流量控制
    CONTROL_ROWNOISERE = 13  # 行噪声减少
    CONTROL_CURTEMP = 14  # 当前CMOS或CCD温度
    CONTROL_CURPWM = 15  # 当前冷却PWM
    CONTROL_MANULPWM = 16  # 手动设置冷却PWM
    CONTROL_CFWPORT = 17  # 控制滤镜轮端口
    CONTROL_COOLER = 18  # 检查相机是否有冷却器
    CONTROL_ST4PORT = 19  # 检查相机是否有ST4端口
    CAM_COLOR = 20  # 相机是否为彩色
    CAM_BIN1X1MODE = 21  # 相机是否有1x1二次采样模式
    CAM_BIN2X2MODE = 22  # 相机是否有2x2二次采样模式
    CAM_BIN3X3MODE = 23  # 相机是否有3x3二次采样模式
    CAM_BIN4X4MODE = 24  # 相机是否有4x4二次采样模式
    CAM_MECHANICALSHUTTER = 25  # 机械快门
    CAM_TRIGER_INTERFACE = 26  # 相机是否有触发接口
    CAM_TECOVERPROTECT_INTERFACE = 27  # TEC过热保护
    CAM_SINGNALCLAMP_INTERFACE = 28  # 信号夹持
    CAM_FINETONE_INTERFACE = 29  # 微调音调
    CAM_SHUTTERMOTORHEATING_INTERFACE = 30  # 快门电机加热
    CAM_CALIBRATEFPN_INTERFACE = 31  # 校准固定图案噪声
    CAM_CHIPTEMPERATURESENSOR_INTERFACE = 32  # 芯片温度传感器
    CAM_USBREADOUTSLOWEST_INTERFACE = 33  # USB最慢读出
    CAM_8BITS = 34  # 8位深度
    CAM_16BITS = 35  # 16位深度
    CAM_GPS = 36  # 相机是否有GPS
    CAM_IGNOREOVERSCAN_INTERFACE = 37  # 忽略超扫描区域
    QHYCCD_3A_AUTOEXPOSURE = 39  # 自动曝光
    QHYCCD_3A_AUTOFOCUS = 40  # 自动对焦
    CONTROL_AMPV = 41  # CCD或CMOS的放大电压
    CONTROL_VCAM = 42  # 虚拟相机开关
    CAM_VIEW_MODE = 43  # 视图模式
    CONTROL_CFWSLOTSNUM = 44  # 滤镜轮插槽数量
    IS_EXPOSING_DONE = 45  # 曝光是否完成
    ScreenStretchB = 46  # 屏幕拉伸黑点
    ScreenStretchW = 47  # 屏幕拉伸白点
    CONTROL_DDR = 48  # DDR控制
    CAM_LIGHT_PERFORMANCE_MODE = 49  # 光性能模式
    CAM_QHY5II_GUIDE_MODE = 50  # QHY5II导星模式
    DDR_BUFFER_CAPACITY = 51  # DDR缓冲容量
    DDR_BUFFER_READ_THRESHOLD = 52  # DDR缓冲读取阈值
    DefaultGain = 53  # 默认增益
    DefaultOffset = 54  # 默认偏移
    OutputDataActualBits = 55  # 输出数据实际位数
    OutputDataAlignment = 56  # 输出数据对齐
    CAM_SINGLEFRAMEMODE = 57  # 单帧模式
    CAM_LIVEVIDEOMODE = 58  # 实时视频模式
    CAM_IS_COLOR = 59  # 相机是否为彩色
    hasHardwareFrameCounter = 60  # 是否有硬件帧计数器
    CAM_HUMIDITY = 62  # 相机是否有湿度传感器
    CAM_PRESSURE = 63  # 相机是否有压力传感器
    CONTROL_VACUUM_PUMP = 64  # 是否有真空泵
    CONTROL_SensorChamberCycle_PUMP = 65  # 传感器室循环泵
    CAM_32BITS = 66  # 32位深度
    CAM_Sensor_ULVO_Status = 67  # 传感器ULVO状态
    CAM_SensorPhaseReTrain = 68  # 传感器相位重新训练
    CAM_InitConfigFromFlash = 69  # 从闪存初始化配置
    CAM_TRIGER_MODE = 70  # 触发模式
    CAM_TRIGER_OUT = 71  # 支持触发输出
    CAM_BURST_MODE = 72  # 支持连拍模式
    CAM_SPEAKER_LED_ALARM = 73  # 扬声器LED报警
    CAM_WATCH_DOG_FPGA = 74  # FPGA看门狗
    CAM_BIN6X6MODE = 75  # 6x6二次采样模式
    CAM_BIN8X8MODE = 76  # 8x8二次采样模式
    CAM_GlobalSensorGPSLED = 77  # 全球定位系统LED指示
    CONTROL_ImgProc = 78  # 图像处理
    CONTROL_RemoveRBI = 79  # 移除残余图像
    CONTROL_GlobalReset = 80  # 全局重置
    CONTROL_FrameDetect = 81  # 帧检测
    CAM_GainDBConversion = 82  # 增益DB转换
    CAM_CurveSystemGain = 83  # 系统增益曲线
    CAM_CurveFullWell = 84  # 满井深曲线
    CAM_CurveReadoutNoise = 85  # 读出噪声曲线
    CAM_UseAverageBinning = 86  # 使用平均二次采样
    CONTROL_OUTSIDE_PUMP_V2 = 87  # 外部泵V2
    CONTROL_AUTOEXPOSURE = 88  # 自动曝光
    CONTROL_AUTOEXPTargetBrightness = 89  # 自动曝光目标亮度
    CONTROL_AUTOEXPSampleArea = 90  # 自动曝光样本区域
    CONTROL_AUTOEXPexpMaxMS = 91  # 自动曝光最大时间（毫秒）
    CONTROL_AUTOEXPgainMax = 92  # 自动曝光最大增益
    CONTROL_MAX_ID = 93  # 最大ID
    CONTROL_AUTOWHITEBALANCE = 1024  # 自动白平衡
    CONTROL_ImageStabilization = 1030  # 图像稳定
    CONTROL_GAINdB = 1031  # 增益dB
    CONTROL_DPC = 1032  # 图像DPC功能（去除热噪声）
    CONTROL_DPC_value = 1033  # 图像DPC功能值
    CONTROL_HDR = 1034  # 高动态范围
    CONTROL_HDR_H_k = 1035  # HDR高增益通道k值
    CONTROL_HDR_H_b = 1036  # HDR高增益通道b值
    CONTROL_HDR_L_k = 1037  # HDR低增益通道k值
    CONTROL_HDR_L_b = 1038  # HDR低增益通道b值
    CONTROL_HDR_x = 1039  # HDR X参数